Bug 431337 - sony nwz-s616f walkman device errors when mounted as USB MSC
sony nwz-s616f walkman device errors when mounted as USB MSC
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-02 20:00 EST by Tom Georgoulias
Modified: 2009-01-09 00:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:54:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lscpi, usbmon, fdisk, syslog output. (28.11 KB, application/x-gzip)
2008-02-02 20:00 EST, Tom Georgoulias
no flags Details
fdisk.out from tarball (2.01 KB, text/plain)
2008-02-02 23:35 EST, Jon Stanley
no flags Details
lspci -vvvv output from tarball (10.68 KB, text/plain)
2008-02-02 23:36 EST, Jon Stanley
no flags Details
usbmon.out from tarball (200.32 KB, text/plain)
2008-02-02 23:37 EST, Jon Stanley
no flags Details
walkman-syslog.out from tarball (8.05 KB, text/plain)
2008-02-02 23:38 EST, Jon Stanley
no flags Details

  None (edit)
Description Tom Georgoulias 2008-02-02 20:00:54 EST
Description of problem:
Sony nwz-s616f walkman mp3 player has device errors when mounted as USB MSC. 
Excerpt from /var/log/messages:

Feb  2 16:07:30 slacker kernel: scsi 11:0:0:0: Direct-Access     SONY    
WALKMAN          1.00 PQ: 0 ANSI: 0 CCS
Feb  2 16:07:31 slacker kernel: ready
Feb  2 16:07:31 slacker kernel: sd 11:0:0:0: [sdg] 1875968 2048-byte hardware
sectors (3842 MB)
Feb  2 16:07:31 slacker kernel: sd 11:0:0:0: [sdg] Write Protect is off
Feb  2 16:07:31 slacker kernel: sd 11:0:0:0: [sdg] Assuming drive cache: write
through
Feb  2 16:07:31 slacker kernel: sd 11:0:0:0: [sdg] 1875968 2048-byte hardware
sectors (3842 MB)
Feb  2 16:07:31 slacker kernel: sd 11:0:0:0: [sdg] Write Protect is off
Feb  2 16:07:31 slacker kernel: sd 11:0:0:0: [sdg] Assuming drive cache: write
through
Feb  2 16:07:31 slacker kernel:  sdg: sdg1
Feb  2 16:07:31 slacker kernel:  sdg: p1 exceeds device capacity
Feb  2 16:07:31 slacker kernel: sd 11:0:0:0: [sdg] Attached SCSI removable disk
Feb  2 16:07:31 slacker kernel: sd 11:0:0:0: Attached scsi generic sg7 type 0
Feb  2 16:07:32 slacker kernel: attempt to access beyond end of device
Feb  2 16:07:32 slacker kernel: sdg: rw=0, want=4294967044, limit=7503872
Feb  2 16:07:32 slacker kernel: printk: 32 messages suppressed.
Feb  2 16:07:32 slacker kernel: Buffer I/O error on device sdg1, logical block
1073741760
Feb  2 16:07:32 slacker kernel: attempt to access beyond end of device

Version-Release number of selected component (if applicable):
2.6.23.14-107.fc8


How reproducible:

Every time


Steps to Reproduce:
1. Plug walkman in
2.
3.
  
Actual results:

Errors as mentioned above.

Expected results:

No errors.

Additional info:

lscpi -vvvv
fdisk -l
usbmon trace
/var/log/messages excerpt attached as tarball. 


Have been able to fill the entire device with mp3s and haven't gotten any IO or
corruption errors reading or writing to player.  Seems like all of the songs
I've copied to the device play just fine.
Comment 1 Tom Georgoulias 2008-02-02 20:00:54 EST
Created attachment 293812 [details]
lscpi, usbmon, fdisk, syslog output.
Comment 2 Jon Stanley 2008-02-02 23:35:42 EST
Created attachment 293821 [details]
fdisk.out from tarball
Comment 3 Jon Stanley 2008-02-02 23:36:35 EST
Created attachment 293822 [details]
lspci -vvvv output from tarball
Comment 4 Jon Stanley 2008-02-02 23:37:24 EST
Created attachment 293823 [details]
usbmon.out from tarball
Comment 5 Jon Stanley 2008-02-02 23:38:09 EST
Created attachment 293824 [details]
walkman-syslog.out from tarball
Comment 6 Jon Stanley 2008-02-02 23:45:28 EST
Thanks for the bug report.1

In the future, please don't attach things as tarballs - instead as individual
text/plain attachments.  It makes it easier on the developers.

The fdisk output looks quite interesting - /dev/sdg (the walkman) is created as
a roughly 4GB device.  However, there's a partition table inside of /dev/sdg1
(which there shouldn't be in a normal disk) that is 2TB(!) in size.  That's
probably the source of this.
Comment 7 Pete Zaitcev 2008-02-03 01:48:56 EST
I looked at the usbmon trace, but there wasn't anything there not seen
in the dmesg already (e.g. the block size 2048).

I'm wondering if we interpret the partition table correctly when sector
size is not 512.
Comment 8 Tom Georgoulias 2008-02-03 14:20:18 EST
My apologies about the tarball, I won't do that again.   Sorry for the
inconvience.  I thought the fdisk was weird, too.  The walkman has a built in
format option, which I tried using before I submitted the bug report and didn't
see any difference.  I was too scared to use fdisk to format the device since I
just bought the walkman yesterday.

As additional info, I tried using the latest f8 updates testing kernel
(2.6.23.14-115.fc8) just for kicks and the disk looks the same with it.
Comment 9 Bug Zapper 2008-11-26 04:40:42 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 00:54:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.